Returns value of attribute

- « DOMElement::getAttributeNodeNS

- DOMElement::getElementsByTagName »

- PHP Manual
- DOMElement
- Returns value of attribute

# DOMElement::getAttributeNS

(PHP 5, PHP 7, PHP 8)

DOMElement::getAttributeNS — Returns value of attribute

### Description

public DOMElement::getAttributeNS(?string `$namespace`, string `$localName`): string

Gets the value of the attribute in namespace `namespace` with local name `localName` for the current node.

### Parameters

`namespace`

  The namespace URI.

`localName`

  The local name.

### Return Values

The value of the attribute, or an empty string if no attribute with the given `localName` and `namespace` is found.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::setAttributeNS() - Adds new attribute
- DOMElement::removeAttributeNS() - Removes attribute